cache:
  paths:
    - node_modules/
stages:
  - tests
testing:
  tags:
    - devtool
  stage: tests
  script: 
    - echo '. . . Installing Dependencies . . .'
    - yarn install
    - echo '. . . Running Tests . . .'
    - yarn test
    - echo '. . . Running Coverage . . .'
    - yarn coverage
    - echo '. . . Running test report . . .'
    - yarn junit
    - echo '. . . Scanning project against standard . . .'
    - yarn lint
  artifacts:
    reports:
      junit: ./logs/junit.xml
